Variable: genieStartConversationResponseSchema
constgenieStartConversationResponseSchema:ZodObject<{conversation:ZodOptional<ZodObject<{conversation_id:ZodString;created_timestamp:ZodOptional<ZodNumber>;id:ZodString;last_updated_timestamp:ZodOptional<ZodNumber>;space_id:ZodString;title:ZodString;user_id:ZodNumber; },$strip>>;conversation_id:ZodString;message:ZodOptional<ZodObject<{attachments:ZodOptional<ZodArray<ZodObject<{attachment_id:ZodOptional<ZodString>;query:ZodOptional<ZodObject<…, …>>;suggested_questions:ZodOptional<ZodObject<…, …>>;text:ZodOptional<ZodObject<…, …>>; },$strip>>>;content:ZodString;conversation_id:ZodString;created_timestamp:ZodOptional<ZodNumber>;error:ZodOptional<ZodObject<{error:ZodOptional<ZodString>;type:ZodOptional<ZodUnion<readonly […, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …, …]>>; },$strip>>;feedback:ZodOptional<ZodObject<{rating:ZodOptional<ZodUnion<readonly […, …, …]>>; },$strip>>;id:ZodString;last_updated_timestamp:ZodOptional<ZodNumber>;message_id:ZodString;query_result:ZodOptional<ZodObject<{is_truncated:ZodOptional<ZodBoolean>;row_count:ZodOptional<ZodNumber>;statement_id:ZodOptional<ZodString>;statement_id_signature:ZodOptional<ZodString>; },$strip>>;space_id:ZodString;status:ZodOptional<ZodUnion<readonly [ZodLiteral<"ASKING_AI">,ZodLiteral<"CANCELLED">,ZodLiteral<"COMPLETED">,ZodLiteral<"EXECUTING_QUERY">,ZodLiteral<"FAILED">,ZodLiteral<"FETCHING_METADATA">,ZodLiteral<"FILTERING_CONTEXT">,ZodLiteral<"PENDING_WAREHOUSE">,ZodLiteral<"QUERY_RESULT_EXPIRED">,ZodLiteral<"SUBMITTED">]>>;user_id:ZodOptional<ZodNumber>; },$strip>>;message_id:ZodString; },$strip>
genieStartConversationResponse fields
Section titled “genieStartConversationResponse fields”conversation.conversation_id: Conversation IDconversation.created_timestamp(optional): Timestamp when the message was createdconversation.id: Conversation ID. Legacy identifier, use conversation_id insteadconversation.last_updated_timestamp(optional): Timestamp when the message was last updatedconversation.space_id: Genie space IDconversation.title: Conversation titleconversation.user_id: ID of the user who created the conversationconversation_id: Conversation IDmessage.attachments(optional): AI-generated response to the messagemessage.content: User message contentmessage.conversation_id: Conversation IDmessage.created_timestamp(optional): Timestamp when the message was createdmessage.error(optional): Error message if Genie failed to respond to the messagemessage.feedback(optional): User feedback for the message if providedmessage.feedback.rating(optional): The feedback ratingmessage.id: Message ID. Legacy identifier, use message_id insteadmessage.last_updated_timestamp(optional): Timestamp when the message was last updatedmessage.message_id: Message IDmessage.query_result(optional): The result of SQL query if the message includes a query attachment. Deprecated. Usequery_result_metadatainGenieQueryAttachmentinstead.message.query_result.is_truncated(optional): If result is truncatedmessage.query_result.row_count(optional): Row count of the resultmessage.query_result.statement_id(optional): Statement Execution API statement id. Use Get status, manifest, and result first chunk to get the full result data.message.query_result.statement_id_signature(optional): JWT corresponding to the statement contained in this resultmessage.space_id: Genie space IDmessage.status(optional): MessageStatus. The possible values are: *FETCHING_METADATA: Fetching metadata from the data sources. *FILTERING_CONTEXT: Running smart context step to determine relevant context. *ASKING_AI: Waiting for the LLM to respond to the user’s question. *PENDING_WAREHOUSE: Waiting for warehouse before the SQL query can start executing. *EXECUTING_QUERY: Executing a generated SQL query. Get the SQL query result by calling getMessageAttachmentQueryResult API. *FAILED: The response generation or query execution failed. Seeerrorfield. *COMPLETED: Message processing is completed. Results are in theattachmentsfield. Get the SQL query result by calling getMessageAttachmentQueryResult API. *SUBMITTED: Message has been submitted. *QUERY_RESULT_EXPIRED: SQL result is not available anymore. The user needs to rerun the query. Rerun the SQL query result by calling executeMessageAttachmentQuery API. *CANCELLED: Message has been cancelled.message.user_id(optional): ID of the user who created the messagemessage_id: Message ID